# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/segul, last modified Thu Aug  8 20:34:27 2024
# ------------------------------------------------

package:
  name: segul
  version: 0.22.1
source:
  sha256: 5d33058149e00551f219e6d92a9156d89643551c47fac18ed688aec022b8afdd
  url: https://github.com/hhandika/segul/archive/refs/tags/v0.22.1.tar.gz
build:
  number: '0'
  run_exports:
    - segul >=0.22.1,<0.23.0a0
  string: h2b4a878_0
requirements:
  build:
    - ca-certificates 2024.7.4 h8857fd0_0
    - cctools_osx-64 986 h303a5ab_3
    - clang 16.0.6 default_h179603d_11
    - clang-16 16.0.6 default_h0c94c6a_11
    - clang_impl_osx-64 16.0.6 h8787910_19
    - clang_osx-64 16.0.6 hb91bd55_19
    - clangxx 16.0.6 default_h179603d_11
    - compiler-rt 16.0.6 ha38d28d_2
    - compiler-rt_osx-64 16.0.6 ha38d28d_2
    - icu 75.1 h120a0e1_0
    - ld64_osx-64 711 h04ffbf3_3
    - libclang-cpp16 16.0.6 default_h0c94c6a_11
    - libcxx 18.1.8 heced48a_2
    - libiconv 1.17 hd75f5a5_2
    - libllvm16 16.0.6 hbedff68_3
    - libxml2 2.12.7 heaf3512_4
    - libzlib 1.3.1 h87427d6_1
    - llvm-tools 16.0.6 hbedff68_3
    - macosx_deployment_target_osx-64 13.3 hdc1e006_1
    - openssl 3.3.1 h87427d6_2
    - rust 1.80.0 h6c54e5d_0
    - rust-std-x86_64-apple-darwin 1.80.0 h38e4360_0
    - rust_osx-64 1.80.0 h5d5f788_1
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.6 h915ae27_0
  run: []
  run_constrained:
    - __osx >=10.13
test:
  commands:
    - segul --help
about:
  home: https://github.com/hhandika/segul
  license: MIT
  license_family: MIT
  summary: An ultrafast and memory efficient tool for phylogenomics
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - hhandika
